plugins {
    id 'com.android.library'
    id 'kotlin-android'
}

android {
    compileSdkVersion 31

    defaultConfig {
        minSdkVersion 19
        targetSdkVersion 31
        versionCode 1
        versionName "1.0"
        multiDexEnabled true
        consumerProguardFiles "consumer-rules.pro"

        buildConfigField "Boolean", "ISTEST", ISTEST.toString()
        buildConfigField "String", "appType", "\"mpos\""
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    buildFeatures {
        viewBinding true
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
}

dependencies {
    api fileTree(include: ['*.jar'], dir: 'libs')
    api files('libs/miya-print-1.0.23.aar')
    api files('libs/Pay-Platform.jar')

    api 'androidx.core:core-ktx:1.3.1'
    api 'androidx.appcompat:appcompat:1.3.1'
    api 'androidx.annotation:annotation:1.1.0'
    api 'com.google.android.material:material:1.2.1'
    api 'androidx.constraintlayout:constraintlayout:2.0.1'
    api 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
    api 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
    api("com.squareup.okhttp3:okhttp:4.9.3")
    api("com.squareup.okhttp3:logging-interceptor:3.9.0")
    api("com.squareup.retrofit2:retrofit:2.9.0")
    api 'com.squareup.retrofit2:converter-gson:2.9.0'
    api('com.squareup.retrofit2:converter-simplexml:2.9.0') {
        exclude group: 'xpp3', module: 'xpp3'
        exclude group: 'stax', module: 'stax-api'
        exclude group: 'stax', module: 'stax'
    }
    api 'com.tencent:mmkv:1.2.12'
    api 'com.guolindev.permissionx:permissionx:1.6.1'
    debugApi 'com.squareup.leakcanary:leakcanary-android:2.7'
    api "org.jetbrains.kotlin:kotlin-stdlib:$kotlin_version"

    api 'com.blankj:utilcode:1.30.0'
    api 'androidx.multidex:multidex:2.0.0@aar'
    api 'com.github.d-max:spots-dialog:1.1@aar'
}